<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Home page</title>
</head>
<body>
    <div class="page-header">
        <h1>Garagem Virtual</h1>
        <button type="submit" onclick="location.href='{% url 'apigaragens' %}'" name='mybtn2'>API GARAGENS</button>
        <button type="submit" onclick="location.href='{% url 'apiveiculos' %}'" name='mybtn2'>API VEICULOS</button>
        {% if user.is_authenticated %}
            <div class="col-lg-12" style="text-align: right;">
                <button type="submit" onclick="location.href='{% url 'newg' %}'" name='mybtn2'>Adicionar Garagem</button>
                <button type="submit" onclick="location.href='{% url 'new' %}'" name='mybtn2'>Adicionar novo Veículo</button>
                <a href="/accounts/logout" type="button" class="btn btn-secondary">Logout</a>
            </div>
            Olá {{ request.user.username }}!
            {% if user.is_superuser %}
                <p>Você é administrador!</p>
                <p><a href="/admin" type="button" class="btn btn-primary">Painel de administrador</a></p>
            {% endif %}
            <p>Seus veículos cadastrados são: </p>
            <p>Garagem / Veiculo</p>
            {% for veiculo in veiculos %}
                <p>{{ veiculo.id_garagem }} / {{ veiculo.name }}
                <a href="/car/{{ veiculo.name }}" type="button" class="btn btn-secondary">Visualizar</a></p>
            {% endfor %}
        {% else %}
                <p><a href="/accounts/login" type="button" class="btn btn-secondary">Login </a></p>
                <p><a href="/register" type="button" class="btn btn-primary"> Crie uma conta</a></p>
        {% endif %}
    </div>
</body>
</html>